Bug 121540 - CRASH deleting a form from form navigator
Summary: CRASH deleting a form from form navigator
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-11-20 09:58 UTC by Xisco Faulí
Modified: 2018-11-22 10:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (10.04 KB, text/plain)
2018-11-20 20:43 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-11-20 09:58:40 UTC
STR:
1. Open Writer
2. Insert a form from form menu. E.g text box.
3. Go to Form - Form Navigator
4. Delete the text box
-> Crash

Reproduced in

Version: 6.2.0.0.beta1+
Build ID: c13f4d0a2ff503cdebbc789e1711f90e7b5fe379
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-11-20 09:59:58 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=eec9f6c8b928de38dd9e683f46bfab00f3243048

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-06-04 15:01:43 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-06-11 08:26:14 +0200
commit	eec9f6c8b928de38dd9e683f46bfab00f3243048 (patch)
tree	75838981f5c73c9799d139179f880b172981cb00
parent	32604a3da226a4e340d6e7844153e7d854fb7f2e (diff)
loplugin:useuniqueptr in FmEntryDataList

Bisected with: bibisect-linux64-6.2

Adding Cc: to Noel Grandin
Comment 2 Julien Nabet 2018-11-20 20:43:58 UTC
Created attachment 146850 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2018-11-21 10:26:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2edc8c53433be4423d7b009c9f60ed732d554816%5E%21

tdf#121540 crash deleting a form from form navigator

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-21 12:57:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c4b76e9cb2cddfcc758a6459255bf3c1704ad990%5E%21

tdf#121540 crash deleting a form from form navigator

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-11-22 10:43:06 UTC
Verified in

Version: 6.2.0.0.beta1+
Build ID: a5bb6a0406d0018d1df279b925c80b392d9db277
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel Grandin, Thanks for the quick fix!